it-swarm-ja.com

最小限の中断で10.04から14.04に更新する

私たちのサーバー管理者は去ったので、私は、長期的なものを見つけるまで、責任を素早く取り戻そうとしています。私は理解しようとしています。

  • 現在、10.04.3 LTSを使用しています。更新する場合、段階的に更新する必要がありますか?つまり、最初に12.xに、次に14.xに?または、14.xに直接ジャンプできますか?

  • OSを更新するとパッケージも更新されますか?または、何があってもそれらを個別に更新する必要がありますか?

  • いくつかの重要なサービスを中断したくないので、パッケージの更新に不安を感じています。これにアプローチする上でアドバイスはありますか?または私の心配を軽減しますか?

5
David

アップグレードには2つのタイプがあります。

  1. 通常のパッケージのアップグレード
  2. リリースのアップグレード

最初のものはUbuntuのバージョンを変更せず、特定のパッケージのみを変更します。

  1. はい。 14.04にアップグレードする前に、12.04にアップグレードする必要があります。
  2. 2番目のタイプのアップグレードであるリリースアップグレードは、Ubuntuのバージョンを変更し、すべてのパッケージに影響します(ほとんどすべてがアップグレードされ、非常に安定したパッケージの一部はバージョンバンプを取得しますが、同じままです)。

Q3:アップグレードのアドバイス

(12.04以降への)リリースアップグレードを今すぐしないでください。環境に慣れるまで、しばらく10.04に固執します。 10.04サーバーは、2015年4月までセキュリティアップグレードを受信し続けます。したがって、それまでに14.04にアップグレードする必要があります。ただし、最後まで保存しないでください!

パッケージをアップグレードする前に、変更ログを注意深く調べてください。 GUIがある場合は、Synaptic Package Managerを使用できます。または、aptitudeを使用できます。サービスが関与している場合、中断が発生します(ほとんどのサービスパッケージは、関連するサービスを停止および再起動します)。ただし、Apache 2.4とApache 2.2の間などのメジャーブレークアップグレードは利用できないため、ほとんどの場合、サービスは正常に再起動します。

backportsまたはproposedリポジトリーは使用しないでください。彼らは物事を壊すかもしれないパッケージを導入するかもしれません。絶対に必要なことが確実になるまで、backportsを有効にしないでください。実動サーバーでproposedを有効にしないでください。

8
muru